## Dockerfile中有哪些指令
## ARGS
## FROM
## ADD
## RUN
## COPY

## 调度前端发布Dockerfile示例
```shell script
FROM node:10.17-alpine3.10


COPY Python-2.7.17.tgz Python-2.7.17.tgz
RUN tar zxvf Python-2.7.17.tgz -C /home/

ENV PATH=$PATH:/home/Python-2.7.17/bin

RUN npm config set registry http://d48.mlamp.cn/npm/
RUN npm install -g cnpm --registry=https://registry.npm.taobao.org
RUN ln -s /home/node-v10.17.0-linux-x64/bin/cnpm /usr/bin/cnpm

COPY ./taskdispatch /home/scheduler/web/

WORKDIR /home/scheduler/web/

RUN cnpm config set registry http://d48.mlamp.cn/npm/
RUN cnpm install && cnpm run build

RUN sed -i "s#172\.16\.1\.248\#xxxxxxxxxxx#"  vue.config.js

EXPOSE 9000

CMD ["npm","run","serve"]

```